Loading...
Searching...
No Matches
dolfin::MultiMeshSubSpace Class Reference

`#include <MultiMeshSubSpace.h>`

Inheritance diagram for dolfin::MultiMeshSubSpace:
[legend]
Collaboration diagram for dolfin::MultiMeshSubSpace:
[legend]

## Public Member Functions

| MultiMeshSubSpace (MultiMeshFunctionSpace &V, std::size_t component)
| Create subspace for given component (one level).
| MultiMeshSubSpace (MultiMeshFunctionSpace &V, std::size_t component, std::size_t sub_component)
| Create subspace for given component (two levels).
| MultiMeshSubSpace (MultiMeshFunctionSpace &V, const std::vector< std::size_t > &component)
| Create subspace for given component (n levels).
Public Member Functions inherited from dolfin::MultiMeshFunctionSpace
| MultiMeshFunctionSpace (std::shared_ptr< const MultiMesh > multimesh)
| Create multimesh function space on multimesh (shared pointer version).
| ~MultiMeshFunctionSpace ()
| Destructor.
std::size_t | dim () const
std::shared_ptr< const MultiMesh > | multimesh () const
std::shared_ptr< const MultiMeshDofMap > | dofmap () const
std::size_t | num_parts () const
std::shared_ptr< const FunctionSpace > | part (std::size_t i) const
std::shared_ptr< const FunctionSpace > | view (std::size_t i) const
void | add (std::shared_ptr< const FunctionSpace > function_space)
void | build ()
| Build multimesh function space.
void | build (const std::vector< dolfin::la_index > &offsets)
void | lock_inactive_dofs (GenericMatrix &A, GenericVector &b) const
| Lock inactive dofs of a system.
Public Member Functions inherited from dolfin::Variable
| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const
virtual std::string | str (bool verbose) const
| Return informal string representation (pretty-print).

## Additional Inherited Members

Public Attributes inherited from dolfin::Variable
Parameters | parameters
| Parameters.

## Detailed Description

This class represents a subspace (component) of a multimesh function space.

The subspace is specified by an array of indices. For example, the array [3, 0, 2] specifies subspace 2 of subspace 0 of subspace 3.

A typical example is the function space W = V x P for Stokes. Here, V = W[0] is the subspace for the velocity component and P = W[1] is the subspace for the pressure component. Furthermore, W[0][0] = V[0] is the first component of the velocity space etc.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/MultiMeshSubSpace.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/MultiMeshSubSpace.cpp